## ros-foxy-husky-viz 1.0.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(husky_viz)

find_package(ament_cmake REQUIRED)

install(DIRECTORY launch DESTINATION share/${PROJECT_NAME})
install(DIRECTORY rviz DESTINATION share/${PROJECT_NAME})

ament_package()

=== debian/changelog ===
ros-foxy-husky-viz (1.0.9-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 18 Apr 2023 04:00:00 -0000

ros-foxy-husky-viz (1.0.8-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 19 May 2022 04:00:00 -0000

ros-foxy-husky-viz (1.0.7-1focal) focal; urgency=high

  * Renamed all launch files to *.launch.py.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 19 May 2022 04:00:00 -0000

ros-foxy-husky-viz (1.0.6-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 18 May 2022 04:00:00 -0000

ros-foxy-husky-viz (1.0.5-1focal) focal; urgency=high

  * Revamped tele-op launch.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 05 May 2022 04:00:00 -0000

ros-foxy-husky-viz (1.0.4-1focal) focal; urgency=high

  * Update Python launch files suffix from .launch.py to _launch.py to follow standard
  * Contributors: jyang-cpr

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 15 Mar 2022 04:00:00 -0000

ros-foxy-husky-viz (1.0.3-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 30 Nov 2021 05:00:00 -0000

ros-foxy-husky-viz (1.0.2-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 16 Nov 2021 05:00:00 -0000

ros-foxy-husky-viz (1.0.1-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 12 Nov 2021 05:00:00 -0000

ros-foxy-husky-viz (1.0.0-1focal) focal; urgency=high

  * [husky_viz] Removed tests.
  * [husky_viz] Switched to depend on rviz2.
  * Removed missing packages in ROS2.
  * Updates to use ros2_control.
  * Added COLCON_IGNORE for certian packages.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Sun, 07 Nov 2021 04:00:00 -0000

ros-foxy-husky-viz (0.4.4-1focal) focal; urgency=high

  * Remove support for the Kinect for Xbox 360. We've had the deprecation warning around for a while, so let's finally do it.  Realsense support is in-place as a drop-in replacement that gets added to the top rollbar, just like the old Kinect would have.
  * Removed Paul Bovbel as maintainer.
  * Mark the Kinect for Xbox 360 as deprecated, start adding support for the Intel Realsense D400 series as a replacement
  * Contributors: Chris I-B, Chris Iverach-Brereton, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 13 Aug 2020 04:00:00 -0000

ros-foxy-husky-viz (0.4.3-1focal) focal; urgency=high

  * [husky_viz] Removed joint_state_publisher since joint_state_publisher_gui is generating the same data.
  * Fix a deprecation warning about the joint state publisher's gui
  * Contributors: Chris Iverach-Brereton, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 20 Apr 2020 04:00:00 -0000

ros-foxy-husky-viz (0.4.2-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 11 Dec 2019 05:00:00 -0000

ros-foxy-husky-viz (0.4.1-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 30 Sep 2019 04:00:00 -0000

ros-foxy-husky-viz (0.4.0-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 01 Aug 2019 04:00:00 -0000

ros-foxy-husky-viz (0.3.4-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 01 Aug 2019 04:00:00 -0000

ros-foxy-husky-viz (0.3.3-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 18 Apr 2019 04:00:00 -0000

ros-foxy-husky-viz (0.3.2-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 25 Mar 2019 04:00:00 -0000

ros-foxy-husky-viz (0.3.1-1focal) focal; urgency=high

  * Updated dependencies for robot_state_publisher
  * Updated view_model.launch to include a robot_state_publisher since it was moved to control.launch
  * Contributors: Dave Niewinski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 02 Aug 2018 04:00:00 -0000

ros-foxy-husky-viz (0.3.0-1focal) focal; urgency=high

  * Updated all package versions to 0.2.6.
  * Fixed typo in URLs.
  * Remove defunct email address
  * Updated maintainers.
  * Update URDF for multirobot
  * Move packages into monorepo for kinetic; strip out ur packages
  * Contributors: Paul Bovbel, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 11 Apr 2018 04:00:00 -0000

ros-foxy-husky-viz (0.2.2-1focal) focal; urgency=high

  * Toggle viz settings
  * Integrate husky_customization workflow
  * Contributors: Paul Bovbel

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 08 Apr 2015 04:00:00 -0000

ros-foxy-husky-viz (0.2.1-1focal) focal; urgency=high

  * Update robot visualization
  * Enable arm visualization by default
  * Fix package urls
  * Contributors: Paul Bovbel

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-foxy-husky-viz (0.2.0-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-foxy-husky-viz (0.1.1-1focal) focal; urgency=high

  * Update authors and web
  * Add IMU viz dependency; Update rviz presets
  * Restore interactive marker
  * Contributors: Paul Bovbel

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 06 Feb 2015 05:00:00 -0000

ros-foxy-husky-viz (0.1.0-1focal) focal; urgency=high

  * Update visualizations for indigo release
  * update maintainer and dependencies
  * Remove husky_interactive_markers, switch to generic.
  * Add front_laser arg to view_model launcher.
  * Default fixed frame for the model viewer should be base_link.
  * viewing more options for navigation.rviz
  * Contributors: Mike Purvis, Paul Bovbel, Prasenjit Mukherjee

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 14 Jan 2015 05:00:00 -0000



=== debian/control ===
Source: ros-foxy-husky-viz
Section: misc
Priority: optional
Maintainer: Tony Baltovski <tbaltovski@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ament-lint-common <!nocheck>, ros-foxy-launch-ros, ros-foxy-ros-workspace
Homepage: http://ros.org/wiki/husky_viz
Standards-Version: 3.9.2

Package: ros-foxy-husky-viz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-husky-description, ros-foxy-joint-state-publisher, ros-foxy-joint-state-publisher-gui, ros-foxy-launch-ros, ros-foxy-robot-state-publisher, ros-foxy-rviz2, ros-foxy-ros-workspace
Description: Visualization configuration for Clearpath Husky

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-husky-viz//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
